:root {
	--bgdark: #325280;
	--bglight: #CADEEF;
	--coffee: #FFDD00;
	--link: blue;
}

div, header, main, nav, section {
	display: block;
}

body {
	font-family: Helvetica, Arial, sans-serif;
	font-weight: 300;
	font-size: 1.0rem;
	margin: 0;
}

header {
	height: 60px;
	margin-bottom: 60px;
	font-size: 0.9em;
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	z-index: 99;
	transition: all 0.2s ease;
	backdrop-filter: blur(20px);
	-webkit-backdrop-filter: blur(20px);
}

header > div {
	height: 100%;
	display: flex;
	align-items: center;
}

em {
	font-weight: bolder;
}

main {
	padding: 60px 10px 60px 10px;
}

footer {
	height: 30px;
	font-size: 0.9em;
	position: fixed;
	bottom: 0;
	left: 0;
	right: 0;
	z-index: 98;
	transition: all 0.2s ease;
	backdrop-filter: blur(20px);
	-webkit-backdrop-filter: blur(20px);
}

/* slightly transparent fallback for Firefox (not supporting backdrop-filter) */
@supports not ((-webkit-backdrop-filter:none) or (backdrop-filter:none)) {
	header, footer {
		background-color: rgba(255, 255, 255, .9);
	}
	
}

div.background {
	background-color: var(--bglight);
	border-radius: 8px;
}

div.alert {
	background-color: #EFC9CB;
	border-radius: 8px;
	margin-bottom: 50px;
}

h1, h2, h3, h4 {
	font-weight: 300;
}

h1 {
	font-size: 50px;
	margin-bottom: 0;
}

h2 {
	font-size: 35px;
	padding: 0 0 25px 0;
}

h3 {
	color: var(--link);
}

h4 {
	font-size: 25px;
	margin-top: 5px;
	margin-bottom: 25px;
}

p, ul {
	line-height: 150%;
}

ul {
	text-align: left;
	list-style: "+ ";
}

ol {
	line-height: 24px;
	font-size: 1em;
}

a {
	font-weight: bolder;
	color: var(--link);
}

a:hover {
	color: black;
}

a[disabled] {
	pointer-events: none;
	cursor: default;
	text-decoration: none;
	color: black;
}

hr {
	width: 50%;
	opacity: 0.5;
}

.site-width {
	max-width: 1200px;
	padding: 0 75px;
	margin: 0 auto;
}

.plain-width {
	max-width: 880px;
	padding: 50px;
}

img.main {
	width: 90%;
	max-width: 840px;
	border-radius: 8px;
}

img.accessory {
	width: 90%;
	max-width: 480px;
	border-radius: 8px;
	padding: 4px 0;
}

.button {
	background-color: white;
	color: black;
	border: 2px solid var(--link);
	padding: 12px 12px;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-size: 16px;
	margin: 4px 2px;
	transition-duration: 0.2s;
	cursor: pointer;
	border-radius: 8px;
}

.button:hover {
	background-color: var(--link);
	color: white;
}

.coffee {
	border: 2px solid var(--coffee);
	background-color: var(--coffee);
}

.coffee:hover {
	background-color: var(--bglight);
	border: 2px solid var(--bglight);
	color: black;
}

.coffee-icon {
	font-size: x-large;
}

.coffee-title {
	font-size: x-large;
}

.accent {
	font-style: italic;
}

.bold {
	font-weight: bold;
}

.dimmed {
	opacity: 0.7;
}

.mini-button {
	padding: 0 1px;
	border: 1px solid var(--link);
	border-radius: 3px;
}

.top {
	margin: 0;
}

.center {
	text-align: center;
	margin: 0 auto;
}

.accent-color {
	color: var(--link);
}

.left {
	text-align: left;
}

.title {
	margin: 0;
}

.explanation {
	text-align: left;
	font-family: monospace;
	background-color: white;
	border-radius: 6px;\padding: 5px;
	margin: 15px;
}

.f {
	color: black;
	font-weight: 500;
	letter-spacing: 1px;
}

.mail {
	color: var(--link);
	font-weight: 300;
	letter-spacing: 2px;
}

.small {
	font-size: small;
	margin: 4px;
}

.grid-container {
	padding: 0;
	display: grid;
	grid-template-columns: auto auto auto;
}

.grid-item {
	padding: 4px;
}

.grid-item:hover {
	box-shadow: rgba(149, 157, 165, 0.2) 0px 1px 4px;
	background-color: rgb(208, 229, 247, 0.72);
	border-radius: 6px;
	transition: all 0.3s ease;
}

.header-icon {
	width: 32px;
}

.hook-icon {
	height: 25px;
}

.hook-prefs {
	width: 480px;
	padding-left: 10px;
	padding-bottom: 10px;
}

.hook-prefs-small {
	text-align: left;
	font-size: small;
	padding-left: 20px;
	margin-bottom: -10px;
}

.app-icon {
	width: 80px;
	margin-top: -40px;
}

.img-50 {
	width: 50%;
	border-radius: 5px;
}

.img-30 {
	width: 30%;
	border-radius: 5px;
}

.legal {
	margin-top: 0px;
}

#mobile {
	display: none;
}

@media (prefers-color-scheme:dark) {
	body {
		background-color: #24395A;
		color: white;
	}
	
	a, h3, .mail {
		color: #77AFF5;
	}
	
	a:hover {
		color: white;
	}
	
	a[disabled] {
		color: gray;
	}
	
	.f {
		color: white;
	}
	
	div.background {
		background-color: var(--bgdark);
	}
	
	.header-icon {
		-webkit-filter: invert(100%);
		filter: invert(100%);
	}
	
	.button {
		border: 2px solid #77AFF5;
	}
	
	.button:hover {
		background-color: #77AFF5;
	}
	
	.mini-button {
		border: 1px solid #77AFF5;
	}
	
	.coffee {
		border: 2px solid var(--coffee);
		background-color: var(--coffee);
	}
	
	.coffee:hover {
		background-color: var(--bgdark);
		border: 2px solid var(--bgdark);
		color: white;
	}
	
	.explanation {
		background-color: #24395A;
	}
	
	.grid-item:hover {
		background-color: rgb(46, 76, 119, 0.72);
	}
	
	@supports not ((-webkit-backdrop-filter:none) or (backdrop-filter:none)) {
		header, footer {
			background-color: rgba(36, 57, 90, .9);
		}
		
	}
	
}

@media (prefers-color-scheme:light) {
	
	/* Light theme styles go here */
}


@media only screen and (max-width: 600px) {
	
	.grid-container {
		grid-template-columns: auto;
	}
}